using System;
using System.Collections.Generic;
using Server.Items;

namespace Server.Mobiles
{
	public class SBAssassin : SBInfo
	{
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBAssassin()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : List<GenericBuyInfo>
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( typeof( LesserPoisonPotion ), 15, Utility.RandomMinMax(50,100), 0xF0A, 0 ) );
				Add( new GenericBuyInfo( typeof( PoisonPotion ), 85, Utility.RandomMinMax(25,50), 0xF0A, 0 ) );
				Add( new GenericBuyInfo( typeof( GreaterPoisonPotion ), 210, Utility.RandomMinMax(12,25), 0xF0A, 0 ) );
				Add( new GenericBuyInfo( typeof( OilCloth ), 28, 20, 0x175D, 2001 ) );
				Add( new GenericBuyInfo( typeof( HairDye ), 37, 20, 0xEFF, 0 ) );
				Add( new GenericBuyInfo( typeof( DisguiseKit ), 700, 20, 0xE05, 0 ) );
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
				Add( typeof( OilCloth ), 14 );
				Add( typeof( LesserPoisonPotion ), 7 );
				Add( typeof( PoisonPotion ), 42 );
				Add( typeof( GreaterPoisonPotion ), 105 );
				Add( typeof( HairDye ), 19 );
				Add( typeof( DisguiseKit ), 300 );
			}
		}
	}
}